# Game Design Document (GDD) Workflow
name: gdd
description: "Game Design Document workflow for all game project levels - from small prototypes to full AAA games. Generates comprehensive GDD with game mechanics, systems, progression, and implementation guidance."
author: "BMad"

# Critical variables from config
config_source: "{project-root}/bmad/bmm/config.yaml"
output_folder: "{config_source}:output_folder"
user_name: "{config_source}:user_name"
date: system-generated

# Workflow components
installed_path: "{project-root}/bmad/bmm/workflows/2-plan/gdd"
instructions: "{installed_path}/instructions-gdd.md"
template: "{installed_path}/gdd-template.md"
game_types_csv: "{installed_path}/game-types.csv"

# Output configuration
default_output_file: "{output_folder}/GDD.md"

# Game type references (loaded based on game type selection)
game_type_guides: "{installed_path}/game-types/"

# Recommended input documents
recommended_inputs:
  - game_brief: "{output_folder}/game-brief.md"
  - narrative_design: "{output_folder}/narrative-design.md"
  - market_research: "{output_folder}/market-research.md"

# Claude Code integration points
claude_code_enhancements:
  - injection_point: "game-design-subagents"
  - available_subagents:
      - game-designer: "Core game mechanics and systems design"
      - game-architect: "Technical architecture for game systems"
      - user-researcher: "Player experience and engagement"

# Workflow configuration
interactive: true # User checkpoints throughout
autonomous: false # Requires user input
allow_parallel: false # Sequential design process

# Game frameworks available
frameworks:
  - "MDA Framework (Mechanics, Dynamics, Aesthetics)"
  - "Core Loop Design"
  - "Progression Systems"
  - "Economy Design"
  - "Difficulty Curves"
  - "Player Psychology"
  - "Game Feel and Juice"
